﻿using System;
using System.Globalization;
using System.Windows.Data;
using System.Windows.Input;

namespace IsBusyTest
{
    public class IsBusyToVisualConverter : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, CultureInfo culture)
        {
            if (value is bool isBusy && isBusy)
            {
              Mouse.OverrideCursor = System.Windows.Input.Cursors.Hand;
                return isBusy;
            }

           else
            {
             Mouse.OverrideCursor = System.Windows.Input.Cursors.Arrow;
            }
            return false;
        }

        public object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
        {
            throw new NotImplementedException();
        }
    }

}
